Система Windows становится все медленнее с течением времени, почему не Убунту?

Я, и многие другие в предыдущих версиях Windows пользователи замечают, что компьютер, кажется, получают все медленнее с течением времени. Я купил в чехарду зубрилы только найти его установлен процесс, который сидел и ждал меня, чтобы заткнуть зубрилы, чтобы он мог запустить программу. Он взял трех процентов ЦП двадцать четыре семь, семь дней в неделю! Это одна из главных причин, почему я ушел с Windows. Но, Убунту не похоже, чтобы замедлить течение времени. Не в Ubuntu, чтобы установить фоновых программ, как чехарда Крамер сделал, чтобы сидеть там, как пиявка и сосать прочь на ресурсы? Может кто-нибудь объяснит почему окна, как правило, медленнее, с течением времени, и Убунту vulnrable к этому тоже? Спасибо за любую помощь, это озадачивает меня.

+923
Otmane El Rhazi 8 апр. 2016 г., 10:43:05
17 ответов

Это явно ошибка в Quake3 на-пакет данных, что не позволяет пространство в пути на компакт-диске.

Я предлагаю очищать его (не полностью связаны с Ubuntu-документы).

Если он не позволит вам удалить его, отредактировать файл/var/lib в/с dpkg/информация/Quake3 на-данных.и postinst и положить выход 0 в первой пустой строке. Его следует очистить, затем.

Пожалуйста, файл ошибка, этот пакет разбивается.

+917
JulliettaPe 03 февр. '09 в 4:24

Ну, казалось бы общерегиональную проблему с провайдером. Все это и сейчас работает.

+896
lemurhvost 24 нояб. 2016 г., 9:01:56

Это можно сделать с ffmpeg и SDL, хотя это не совсем так просто, как с помощью FMLE на Windows.

Короткий ответ заключается в том, что вы можете использовать команду типа

ffmpeg в <команды ввода>
 -vcodec поддержкой libx264 -vpre базовый \
 -acodec libmp3lame -Ab в 32к \
 -потоки 0 \
 -Ф вашы "$STREAM_URL"

где $STREAM_URL является URL-адрес RTMP из заказов, который будет включать ваш канал и идентификатор пользователя ключа.

Все подробности написаны в этом блоге: http://blog.yjl.im/2011/09/broadcasting-using-x11grabr-and-ffmpeg.html

См. Также этот вопрос: Как я потока Twitch.tv?

+880
themis 14 апр. 2018 г., 13:37:26

Я пытался запустить Minecraft на моем ноутбуке с Ubuntu 12.04 ЛТС 64 бит. У меня есть компания Lenovo устройства IdeaPad p580 портативный компьютер с 7.7 Гб и процессором Intel® ядро™ i7-3520М. на CPU @ 2.90 ГГц × 4 Процессор. В разделе "графика" обзор системы в Ubuntu он говорит, что у меня не установлен. Мой компьютер поставляется с видеокартой NVIDIA серии GeForce, но он не признается. Когда я запускаю Майнкрафт мне сделать этот отчет об ошибке.

---- Майнкрафт-Minecraft Отчет О Сбое ----
// Мы будем играть в игру?

Время: 24/06/13 7:23 вечера
Описание: не удалось запустить игру

орг.lwjgl.LWJGLException: не могли бы инит ГБО
 в орг.lwjgl.в OpenGL.LinuxDisplayPeerInfo.initDefaultPeerInfo(родной способ)
 в орг.lwjgl.в OpenGL.LinuxDisplayPeerInfo.<инит>(LinuxDisplayPeerInfo.Ява:52)
 в орг.lwjgl.в OpenGL.LinuxDisplay.createPeerInfo(LinuxDisplay.Ява:684)
 в орг.lwjgl.в OpenGL.Дисплей.создать(дисплей.Ява:854)
 в орг.lwjgl.в OpenGL.Дисплей.создать(дисплей.Ява:784)
 в орг.lwjgl.в OpenGL.Дисплей.создать(дисплей.на Java:765)
 в Net.Майнкрафт.клиента.Майнкрафт.в(файле:235)
 в АВВ.в(файле:56)
 в Net.Майнкрафт.клиента.Майнкрафт.выполнения(в файле:507)
 в Java.яз.Нить.выполнения(резьба.Ява:679)

Подробное описание ошибки, ее код и все известные детали следующим образом:

-- Сведения О Системе --
Детали:
 Майнкрафт Версия: 1.5.2
 Операционная система: linux (amd64) версии 3.5.0-34-generic и
 Версия Java: 1.6.0_27, Сан Майкросистемз Инк.
 Виртуальная машина Java версия: пакеты OpenJDK 64-разрядный сервер VM (смешанный режим), Сан майкросистемз Инк.
 Память: 406175448 байт (387 МБ) / 514523136 байт (490 МБ) до 1908932608 байт (1820 МБ)
 Флаги для JVM: 2 общая; -Xmx2048M -Xms512M
 ААВВ размер бассейна: 0 (0 байт; 0 МБ) разместил, 0 (0 байт; 0 МБ) используется
 Подозрительные классы: никаких подозрительных классы.
 IntCache: оператор Cache: 0, tcache: 0, выделенную: 0, tallocated: 0
 LWJGL: 2.4.2
 Версия OpenGL: ~~ошибка~~ исключение NullPointerException: нуль
 Модом: наверное, нет. Jar подпись остается и бренд клиента остается нетронутым.
 Тип: клиент (map_client.txt)
 Текстура Обновления: Умолчанию
 Установки профилирования: Н/А (отключен)
 Vec3 бассейн размер: ~~ошибка~~ исключение NullPointerException: нуль

Я могу запустить его на различных версиях Linux, такие как Fedora.

+721
FIvYur 15 авг. 2018 г., 0:31:46

Вы можете попробовать vga_switcheroo.

компакт-диск /системы/ядра параметр/debug/vgaswitcheroo
кошка переключатель #, чтобы увидеть, какая карта активна. Блок питания - включен, выкл-выключен, "+" - активная карта.
Эхо выключено>переключатель #для выключения неактивных карт
Эхо>переключатель #к власти на неактивированную карточку
Эхо Дис>переключатель #, чтобы переключиться на дискретную видеокарту сейчас(не работает с X начал)
в Echo DDIS>переключатель #для переключения на дискретную видеокарту после перезагрузки х
Эхо ИГД>переключатель #, чтобы переключиться на интегрированную карту сейчас(не работает с X начал)
Эхо DIGD>переключатель #, чтобы переключиться на интегрированную карту после перезагрузки х

Работает только с открытым исходным кодом i915 и драйверов Nouveau. У меня такой же ноутбук, и это лишь включение и выключение работает для меня.

P. S. Как я помню(не уверен) А08 BIOS имеется опция "гибридной графики". Но я не могу откатить на старые версии BIOS, чтобы проверить его.

+693
Billeh 25 мар. 2010 г., 12:38:16

Я просто играл в Робокоп 2 дн. назад используете Ubuntu 11.04. Теперь с чистым обновление 11.10, я больше не могу играть в игру. Когда я запускаю игру в терминале я получаю эту ошибку:

Предупреждение: не ошибка инициализировать OpenGL. (Ошибка: не удалось это libGL нагрузки.так.1)
Выход

В чем может быть проблема? Я с помощью графического адаптера Intel кстати. Единственное, что Intel Corei3 поставляется в наличии в ноутбуках.

+559
fredie mathews 22 мая 2016 г., 15:17:17

Я довольно много абсолютно новых для используете Ubuntu, и для жизни меня я не могу выяснить, как подключиться к WiFi-сети.

Я понятия не имею, какую информацию я должен разместить. Просматривая другие подобные вопросы была запутанной и беспокойной, и я понятия не имею, какая информация потребуется, чтобы это исправить.

Сам компьютер-это iMac4,1

+532
Koszikla77 2 сент. 2010 г., 3:44:43

Это не представляется, связанных с Ubuntu как таковой.
Для выяснения разрешения, необходимые для PHP файлов вы можете пройти https://stackoverflow.com/questions/2096255/what-permissions-for-php-scripts-directories

в phpmyadmin, скорее всего, будут находиться в /usr/доли/phpmyadmin вы можете посмотреть настройки он использует.
http://rudyegenias.wordpress.com/2006/09/15/enabling-phpmyadmin-once-you-change-permission-or-privileges-on-mysql-database/ может быть полезно, который предлагает посмотреть на config.inc.php.

+492
aliciamonds 28 дек. 2016 г., 18:40:45

"kworker" - это процесс заполнитель для ядра рабочих потоков, которые выполняют большую часть фактической обработки для ядра, особенно в случаях, когда есть прерывания, таймеры, ввода/вывода и т. д. Они, как правило, соответствует подавляющее большинство все выделенные "система" время запущенные процессы. Это не то, что можно безопасно удалить из система в любом случае, и совершенно не связан с Непомуцкого или KDE (кроме того, что эти программы могут делать системные вызовы, которые могут требует от ядра что-то делать).

Я нашел это на Убунту задать вопрос нашли здесь. Видимо у чувака решения на этот вопрос я решил проблему путем установки ПМСП-Интел пакеты ссылке

Некоторые интересные сведения относительно того, что kworker и его использовании можно найти здесь. К сожалению, решение представляется будущее обновление ядра.

Из один и тот же вопрос:

Я нашел много сообщений о том, что "фиксированный" для одного или другой пользователь. Большинство "исправлений", как представляется, связанные с обновлением ядра различных сортов. Где обновления можно отслеживать по конкретному вопросу, кажется, часто будет какой-то драйвер или служба ядра, которая была пропатчил до не безобразничай: у меня складывается впечатление, что есть очень большое количество вещей в ядре, которые могут вызвать поведение, которое наблюдается как чрезмерное использование kworker.

Если вы найдете систему в негодность из-за чрезмерной активности kworker, я рекомендовал бы пытаться делать меньше вещей. Если вы думаете, что вы не ничего не делая, попробуйте выключить длительных услуг или таймеры (РСС читатели, читатели почте, файл индексаторы, активность трекеры и т. д.). Если это не работает, попробуйте перезагрузить. Если ваша система позволяет вам включить или отключить аппаратное в предзагрузочной среде, попробуйте отключить аппаратное вы не используете. Если это происходит на каждой перезагрузки, прежде чем делать ничего, можно попробовать удалить вещи, но в этот момент Вы будете хотите быть запущена операции инструменты профилирования отследить конкретные приложений, которые, кажется, быть причиной такой перегрузки.

+408
Michele Giuseppe Fadda 20 июл. 2016 г., 10:17:04

Я использую Ubuntu 10.10 (Линукс pc07 2.6.35-27-generic и #48-Ubuntu в СМП Вт фев 22 20:25:46 по UTC 2011 x86_64 с ГНУ/Линукс) и по умолчанию пакет питона (питон 2.6.6).

Я хотел бы установить на Python-psyco, и для улучшения производительности один из моих скриптов, но только в Python-психолого-док доступна для 64-битной. Я пробовал виртуальную машину, но прирост производительности гораздо меньше на виртуальной машине, нежели на "реальный" установлена 32-разрядной Ubuntu.

Итак, мой вопрос: как могу ли я установить 32-битный Python с psyco, и на моей 64-битной Ubuntu-машине?

редактировать: я нашел эту статью и сделал это:

  • Скачать "питон 2.7.1 bzipped источник архив" от http://python.org/download/
  • Заходите в каталог, куда вы распаковали "питон 2.7.1"
  • Опт=-М32 LDFLAGS=-М32 ./настроить --префикс=/опт/pym32
  • сделать

Но я получил эту ошибку:

на GCC -pthread в -М32 -Xlinker -экспорт-динамический -о языке Python \
 Модули/питон.о \
 libpython2.7.а-lpthread -ЛПНП -lutil -лм 
libpython2.7.а(posixmodule.о): в функции `posix_tmpnam':
/домашний/МУЗ/загрузки/язык Python-2.7.1/./Модули/posixmodule.с:7346: предупреждение: использование tmpnam_r-это опасно, на mkstemp лучше использовать`'
libpython2.7.а(posixmodule.о): в функции `posix_tempnam':
/домашний/МУЗ/загрузки/язык Python-2.7.1/./Модули/posixmodule.с:7301: предупреждение: использование tempnam-это опасно, на mkstemp лучше использовать`'
Ошибка сегментирования
сделать: *** [sharedmods] Fehler 139

edit2: теперь я нашел http://indefinitestudies.org/2010/02/08/how-to-build-32-bit-python-on-ubuntu-9-10-x86_64/ и похоже, это сработало:

  • компакт-диск с Python-2.7.1
  • Чч="ССЗ -М32" LDFLAGS="-л/lib32 -л в/usr/lib32 \ -Ядуо/lib32 -от WL,-путь rpath,/lib32 -от WL,-путь rpath, в/usr/lib32" \ ./настроить --префикс=/опт/pym32
  • сделать
  • установка

Но установка психо не работал:

Эта ошибка появилась:

Процессор = 'ИВМ'
запуск установки
запуск сборки
работает build_py
работает build_ext
здание 'психолого.Расширение _psyco' 
на GCC -pthread в -ФНО-строгий сглаживания -DNDEBUG -г -fwrapv -О2 -стены -устриц.-прототипы -спос -DALL_STATIC=1 -СК/ИВМ-я в/usr/включать/вместо python2.6 -С с/психо.с-построение/темп.ОС Linux-x86_64 с-2.6/с/психо.о
В файл включены из C/психолого.с:1:
с/психо.ч:9: фатальная ошибка: питон.ч: Datei Verzeichnis Одер нихт gefunden
компиляция прекращается.
ошибка: команда 'ССЗ' не с состояние выхода 1

Установка пакета для Python-разработчиков решить проблему, но я все еще не мог использовать психолого. Теперь я установил систему на 32-битную Убунту.

+260
Cylian 31 янв. 2016 г., 6:32:16

У меня есть павильон dv6-3182ea ноутбук с видеокартой ATI и Intel гибридная графика, и я хотел бы знать, если это возможно, для переключения графического процессора Intel когда Убунту 11.10 сапоги, я пытался возиться с vgaswitcheroo однако fglrx от водителя удаляет папку внесения переключение невозможно.

Я требую с видеокартой ATI fglrx от водителей, потому что я пытаюсь увидеть, как одна из моих игр работает через Wine, но либо моя графического процессора Intel или ATI без fglrx от не запуска игры, это раздражает меня на некоторое время теперь, и я действительно хочу, чтобы получить его фиксированной.

Я наткнулся на этот кусок кода, чтобы добавить в grub конфиг, который переключает все видеокарты на, активирует встроенный графический процессор переключается на дискретную выкл.:

GRUB_CMDLINE_LINUX_DEFAULT="тихий всплеск modeset=1 hybridopts=о,ИГД,выкл."

Мне было интересно, если это возможно, чтобы изменить это, чтобы переключить и активировать дискретный GPU, чтобы позволить мне использовать драйвер fglrx от, используя их, в противном случае останавливает мою систему загрузиться потому что файл xorg.conf это не правильно для интегрированного GPU для работы и предотвращает пакет xserver работает.

Я не в состоянии сделать это в BIOS, потому что HP не думаю, что мы должны быть допущены в этом основная особенность.

+260
Christy Huddy 14 мар. 2011 г., 12:51:37

Вам, вероятно, придется создать свой собственный единства темы.

Тогда, кроме ресурсов, которые вы нашли (те, которые не разрушат вашу систему), вы можете искать вокруг deviantart.com для некоторых дополнительных ресурсов, чтобы сделать что-то подобное в 13.04:

windows7 lookalike theme pack by jadenxtrinityx@deviantart.com

Потом покажите нам результат! И разместить видео где-то (некоторые из нас говорят по-испански).

Примечание: В примере, показанном ведется с 2009 года, так что наверняка это не то, что вы можете использовать из коробки.

+226
tomten3000 1 июн. 2011 г., 13:49:10

Я ненавижу того, чтобы использовать мышь, чтобы выбрать окно, чтобы сосредоточиться после распространения всех окон. Я бы логически думал, клавиши со стрелками позволят вам выбрать окна, чтобы вернуться в но нет.

Есть ли способ, чтобы установить его в GNOME-3, так что я могу выбрать мой фокус окно из меню выставить с клавиатуры?

+184
cornergraf 26 июн. 2016 г., 17:53:01

Я использую 12.04 в сети Windows и это то, что работал для меня:

  1. Скачать тонер bizhub 423 Линукс драйверов из здесь.
  2. Добавить новый принтер и выберите Коника Минолта 423 (он должен отображаться как сетевой принтер).
  3. Ubuntu будет искать драйвера, но в конечном итоге попросит вас предоставить ППД. Найдите загруженный файл драйвера и установите:

    423_Series_Linux_v10000.0000/CUPS1.2/английском/KO423UX.ППД

  4. Игнорировать устанавливаемые устройства (блока источника и т. д.) и нажмите кнопку ОК - вы можете вернуться к ним позже, если потребуется.

  5. В этот момент я еще не имел возможности общаться с принтера, так что я изменил устройство Ури (под свойства принтера), чтобы система LPD://192.168.1.3/печать. Возможно, вам придется заменить 192.168.1.3 с тем, что ваш IP-адрес принтера, но как только я получил это право было печати.
+144
Michael James 24 мая 2015 г., 18:02:06

Я хоть убей не могу показаться, чтобы получить OpenSSH для работы на сервере Ubuntu 10.10 с ключами я сгенерировал в puttygen не на моей машине Windows. После нескольких часов проб и ошибок и поиска в Интернете, я не могу получить мою службу SSH, чтобы принять мой собственный ключ!

Вот мой файл sshd_config.

Я сгенерировал мой открытый и закрытый ключи с помощью Putty в Windows, а затем использовать SSH соединение, чтобы вставить мой ключ от шпаклевки прямо на мой файл authorized_keys2 расположенном в *в/etc/СШ/publickeys/authorized_keys2*

В authorized_keys2 файл выглядит примерно так: СШ-ОГА AAAAB3NzaC1yc2EAAAA... без электронной почты или что-нибудь в конце. Я просто вставить его прямо из puttygen не без использования ключа комментария.

Я чувствую, что это не работает из-за некоторых нюансов я не понимаю или какой-то необычной обстановке или несовместимости. Я перезапустить службу SSH (и машины) не помогло.

Каковы некоторые распространенные ошибки, возможно, я вляпался. Есть простой способ, чтобы генерировать ключи SSH, Putty может использовать в Windows?

+118
spadequack 23 авг. 2015 г., 5:24:43

проблема решена. Я последовал за этот учебник. http://www.askvg.com/how-to-remove-linux-boot-loader-from-startup-after-deleting-linux-partition-on-a-dual-boot-system/

+22
CaritasJane 5 авг. 2014 г., 0:02:11

Пытаюсь скомпилировать openzwave-контроль-панель. Но получаю следующую ошибку:

пользователь@ubuntu1004desktop:~/openzwave-панель управления-$ сделать
г++ -о ozwcp -г ozwcp.о сервере.о zwavelib.о ../libmicrohttpd/ГРЦ/демон/.либы/libmicrohttpd.а-pthread в -фреймворк IOKit -основы CoreFoundation
г++: ../libmicrohttpd/ГРЦ/демон/.либы/libmicrohttpd.ответ: Нет такого файла или каталога
г++: IOKit: нет такого файла или каталога
г++: CoreFoundation: нет такого файла или каталога
сделать: *** [ozwcp] Ошибка 1

(да, я libmicrohttpd, но нет .библиотеки папки)

Кроме того, я не могу настроить источники:

пользователь@ubuntu1004desktop:~/libmicrohttpd$ ./настроить
в bash: ./настроить: нет такого файла или каталога

Как скомпилировать это?

+21
Wayne Naylor 12 нояб. 2018 г., 6:24:32

Показать вопросы с тегом